Skip to navigation

Get Red Team Workflow Status

View as Markdown

[BETA] This endpoint is not GA or Production ready and is subject to changes at any time. Breaking changes may occur.

Get current status of a red team workflow.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workflow_idstringRequired

Response

Current workflow status
workflow_idstring
Workflow identifier
run_idstring
Run identifier
statusstring
Workflow status
namestring
Workflow name
tenant_idstringOptional
Tenant identifier
messagestringOptional
Status message
errorstringOptional
Error message if failed
total_sessionsintegerOptional
Total number of sessions
completed_sessionsintegerOptional
Number of completed sessions
failed_sessionsintegerOptional
Number of failed sessions
active_sessionsintegerOptional
Number of active sessions
ready_prompts_in_queueintegerOptional
Number of prompts ready in queue
progress_totalintegerOptional
Total progress items
progress_completedintegerOptional
Completed progress items
phasestringOptional
Current workflow phase
elapsed_secondsdoubleOptional
Elapsed time in seconds
eta_secondsdoubleOptional
Estimated time remaining in seconds

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error